Sisimai::Reason::MailerError(3pm)

NAME
Sisimai::Reason::MailerError - Bounce reason is "mailererror" or not.

SYNOPSIS
    use Sisimai::Reason::MailerError;
    print Sisimai::Reason::MailerError->match('X-Unix; 255');   # 1

DESCRIPTION
Sisimai::Reason::MailerError checks the bounce reason is "mailererror" or not. This class is called only Sisimai::Reason class.

This is the error that a mailer program has not exited successfully or exited unexpectedly on a destination mail server.

    X-Actual-Recipient: X-Unix; |/home/kijitora/mail/catch.php
    Diagnostic-Code: X-Unix; 255

CLASS METHODS

  "text()"
"text()" returns string: "mailererror".

    print Sisimai::Reason::MailerError->text;  # mailererror

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::MailerError->match('X-Unix; 255');   # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "mailererror". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2017 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.